### Class

# Fwupd Plugin

#### Description [src]

    class Fwupd.Plugin : GObject.Object {
      parent_instance: GObject
    }

A plugin which is used by fwupd to enumerate and update devices.

See also: `FwupdRelease`

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_plugin_new

Creates a new plugin.

Available since: 1.5.0

#### Functions

###### fwupd_plugin_flag_from_string

Converts a string to an enumerated plugin flag.

Available since: 1.5.0

###### fwupd_plugin_flag_to_string

Converts an enumerated plugin flag to a string.

Available since: 1.5.0

#### Instance methods

###### fwupd_plugin_add_flag

Adds a specific plugin flag to the plugin.

Available since: 1.5.0

###### fwupd_plugin_get_flags

Gets the plugin flags.

Available since: 1.5.0

###### fwupd_plugin_get_name

Gets the plugin name.

Available since: 1.5.0

###### fwupd_plugin_has_flag

Finds if the plugin has a specific plugin flag.

Available since: 1.5.0

###### fwupd_plugin_remove_flag

Removes a specific plugin flag from the plugin.

Available since: 1.5.0

###### fwupd_plugin_set_flags

Sets the plugin flags.

Available since: 1.5.0

###### fwupd_plugin_set_name

Sets the plugin name.

Available since: 1.5.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

Available since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

Available since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

Available since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

Available since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

Available since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

Available since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

Available since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

Available since: 2.0.0

#### Properties

###### Fwupd.Plugin:flags

The plugin flags.

Available since: 1.5.0

###### Fwupd.Plugin:name

The plugin name.

Available since: 1.5.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginClass {
      GObjectClass parent_class;
      void (* _fwupd_reserved1) (
    void
      );
      void (* _fwupd_reserved2) (
    void
      );
      void (* _fwupd_reserved3) (
    void
      );
      void (* _fwupd_reserved4) (
    void
      );
      void (* _fwupd_reserved5) (
    void
      );
      void (* _fwupd_reserved6) (
    void
      );
      void (* _fwupd_reserved7) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_fwupd_reserved1`

    void (* _fwupd_reserved1) (
    void
      )

| No description available.

`_fwupd_reserved2`

    void (* _fwupd_reserved2) (
    void
      )

| No description available.

`_fwupd_reserved3`

    void (* _fwupd_reserved3) (
    void
      )

| No description available.

`_fwupd_reserved4`

    void (* _fwupd_reserved4) (
    void
      )

| No description available.

`_fwupd_reserved5`

    void (* _fwupd_reserved5) (
    void
      )

| No description available.

`_fwupd_reserved6`

    void (* _fwupd_reserved6) (
    void
      )

| No description available.

`_fwupd_reserved7`

    void (* _fwupd_reserved7) (
    void
      )

| No description available.